Alokai

BudgetShallow

Request body fields required and optional to operate on Budget data. This bean is shallow, which means its potential relationship fields to other Org Unit fields are simple ids. No Org Unit WsDTO should be declared in this bean to avoid circular references. BudgetShallow

export interface BudgetShallow {
	'active'?: boolean;
	'budget'?: number;
	'code'?: string;
	'currency'?: Currency;
	'endDate'?: string;
	'name'?: string;
	'selected'?: boolean;
	'startDate'?: string;
}

Properties

NameRequiredTypeDescription
activeOptionalbooleanBoolean flag of whether the Budget is active {boolean} BudgetShallow
budgetOptionalnumberValue of Budget {number} BudgetShallow
codeOptionalstringCode of the Budget {string} BudgetShallow
currencyOptionalCurrency{Currency} BudgetShallow
endDateOptionalstringThe end date of the Budget {string} BudgetShallow
nameOptionalstringThe name of the Budget {string} BudgetShallow
selectedOptionalbooleanBoolean flag whether the budget is selected for a cost center {boolean} BudgetShallow
startDateOptionalstringThe start date of the Budget {string} BudgetShallow

Referenced Types

On this page